Index: LMDZ6/trunk/libf/phylmd/phys_local_var_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/phys_local_var_mod.F90	(revision 4488)
+++ LMDZ6/trunk/libf/phylmd/phys_local_var_mod.F90	(revision 4489)
@@ -24,4 +24,6 @@
       REAL, SAVE, ALLOCATABLE :: tr_seri(:,:,:)
       !$OMP THREADPRIVATE(tr_seri)
+      REAL, SAVE, ALLOCATABLE :: rhcl(:,:)
+      !$OMP THREADPRIVATE(rhcl)
       REAL, SAVE, ALLOCATABLE :: d_t_dyn(:,:), d_q_dyn(:,:)
       !$OMP THREADPRIVATE(d_t_dyn, d_q_dyn)
@@ -116,4 +118,7 @@
       !$OMP THREADPRIVATE(d_ts, d_tr)
 
+! aerosols
+      REAL, SAVE, ALLOCATABLE :: m_allaer (:,:,:)
+      !$OMP THREADPRIVATE(m_allaer)
 ! diagnostique pour le rayonnement
       REAL, SAVE, ALLOCATABLE :: topswad_aero(:),  solswad_aero(:)      ! diag
@@ -608,4 +613,5 @@
       l_mix(:,:,:)=0.;l_mixmin(:,:,:)=0.;tke_dissip(:,:,:)=0.;wprime(:,:,:)=0. ! doit etre initialse car pas toujours remplis
 
+      ALLOCATE(rhcl(klon,klev))
       ALLOCATE(tr_seri(klon,klev,nbtr))
       ALLOCATE(d_t_dyn(klon,klev),d_q_dyn(klon,klev))
@@ -647,4 +653,7 @@
       ALLOCATE(d_u_lif(klon,klev),d_v_lif(klon,klev))
       ALLOCATE(d_ts(klon,nbsrf), d_tr(klon,klev,nbtr))
+
+! aerosols
+      ALLOCATE(m_allaer(klon,klev,naero_tot))
 ! Special RRTM
       ALLOCATE(ZLWFT0_i(klon,klev+1),ZSWFT0_i(klon,klev+1),ZFLDN0(klon,klev+1))
@@ -937,4 +946,5 @@
       DEALLOCATE(l_mixmin,l_mix, tke_dissip,wprime)
 
+      DEALLOCATE(rhcl)
       DEALLOCATE(tr_seri)
       DEALLOCATE(d_t_dyn,d_q_dyn)
@@ -1046,5 +1056,6 @@
       DEALLOCATE(solsw_aerop, solsw0_aerop)
       DEALLOCATE(topswcf_aerop, solswcf_aerop)
-
+!AI Aerosols
+      DEALLOCATE(m_allaer)
 !CK LW diagnostics
       DEALLOCATE(toplwad_aerop, sollwad_aerop)
Index: LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 4488)
+++ LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 4489)
@@ -1569,4 +1569,5 @@
 !--OLIVIER
 !This is warranted by treating INCA aerosols as offline aerosols
+#ifndef CPP_ECRAD
        IF (flag_aerosol.GT.0) THEN
           IF (type_trac/='inca' .OR. config_inca=='aeNP') THEN 
@@ -1774,4 +1775,5 @@
           ENDIF
        ENDIF
+
        CALL histwrite_phy(o_lwcon, flwc)
        CALL histwrite_phy(o_iwcon, fiwc)
@@ -1808,4 +1810,5 @@
 #endif
 !solbnd end
+#endif
 #endif
 
Index: LMDZ6/trunk/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/physiq_mod.F90	(revision 4488)
+++ LMDZ6/trunk/libf/phylmd/physiq_mod.F90	(revision 4489)
@@ -145,4 +145,5 @@
        ! Variables locales pour effectuer les appels en serie
        t_seri,q_seri,ql_seri,qs_seri,u_seri,v_seri,tr_seri,rneb_seri, &
+       rhcl, &        
        ! Dynamic tendencies (diagnostics)
        d_t_dyn,d_q_dyn,d_ql_dyn,d_qs_dyn,d_u_dyn,d_v_dyn,d_tr_dyn,d_rneb_dyn, &
@@ -826,5 +827,5 @@
     ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
     !
-    REAL rhcl(klon,klev)    ! humiditi relative ciel clair
+!    REAL rhcl(klon,klev)    ! humiditi relative ciel clair
     REAL dialiq(klon,klev)  ! eau liquide nuageuse
     REAL diafra(klon,klev)  ! fraction nuageuse
@@ -1120,7 +1121,7 @@
     !     climatology and the daylight climatology
     INTEGER,SAVE :: ncid_climoz                ! NetCDF file identifier
-    REAL, POINTER, SAVE :: press_cen_climoz(:) ! Pressure levels
-    REAL, POINTER, SAVE :: press_edg_climoz(:) ! Edges of pressure intervals
-    REAL, POINTER, SAVE :: time_climoz(:)      ! Time vector
+    REAL, allocatable, SAVE :: press_cen_climoz(:) ! Pressure levels
+    REAL, allocatable, SAVE :: press_edg_climoz(:) ! Edges of pressure intervals
+    REAL, allocatable, SAVE :: time_climoz(:)      ! Time vector
     CHARACTER(LEN=13), PARAMETER :: vars_climoz(2) &
                                   = ["tro3         ","tro3_daylight"]
@@ -4013,5 +4014,5 @@
                      tausum_aero, tau3d_aero)
              ENDIF
-          ELSE                       ! RRTM radiation
+          ELSE IF (iflag_rrtm .EQ.1) THEN  ! RRTM radiation
              IF (aerosol_couple .AND. config_inca == 'aero' ) THEN
                 abort_message='config_inca=aero et rrtm=1 impossible'
@@ -4079,5 +4080,19 @@
                 !
              ENDIF
+          ELSE IF (iflag_rrtm .EQ.2) THEN    ! ecrad RADIATION
+#ifdef CPP_ECRAD
+             !--climatologies or INCA aerosols
+             CALL readaerosol_optic_ecrad( debut, aerosol_couple, ok_alw, ok_volcan, &
+                  flag_aerosol, flag_bc_internal_mixture, itap, jD_cur-jD_ref, &
+                  pdtphys, pplay, paprs, t_seri, rhcl, presnivs,  &
+                  tr_seri, mass_solu_aero, mass_solu_aero_pi,  &
+                  tau_aero_sw_rrtm, piz_aero_sw_rrtm, cg_aero_sw_rrtm,  &
+                  tausum_aero, drytausum_aero, tau3d_aero)
+#else
+                abort_message='You should compile with -rad ecrad if running with iflag_rrtm=2'
+                CALL abort_physic(modname,abort_message,1)
+#endif
           ENDIF
+
        ELSE   !--flag_aerosol = 0 
           tausum_aero(:,:,:) = 0.
@@ -5388,6 +5403,6 @@
          IF (read_climoz >= 1) THEN
            IF (is_mpi_root) CALL nf95_close(ncid_climoz)
-            DEALLOCATE(press_edg_climoz) ! pointer
-            DEALLOCATE(press_cen_climoz) ! pointer
+            DEALLOCATE(press_edg_climoz)
+            DEALLOCATE(press_cen_climoz)
          ENDIF
        
Index: LMDZ6/trunk/libf/phylmd/press_coefoz_m.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/press_coefoz_m.F90	(revision 4488)
+++ LMDZ6/trunk/libf/phylmd/press_coefoz_m.F90	(revision 4489)
@@ -4,5 +4,5 @@
   implicit none
 
-  real, pointer, save:: plev(:)
+  real, allocatable, save:: plev(:)
   ! (pressure level of Mobidic input data, converted to Pa, in strictly
   ! ascending order)
Index: LMDZ6/trunk/libf/phylmd/radlwsw_m.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/radlwsw_m.F90	(revision 4488)
+++ LMDZ6/trunk/libf/phylmd/radlwsw_m.F90	(revision 4489)
@@ -78,4 +78,5 @@
 ! Besoin pour ECRAD de pctsrf, zmasq, longitude, altitude
 #ifdef CPP_ECRAD
+      USE phys_local_var_mod, ONLY: rhcl, m_allaer
       USE geometry_mod, ONLY: latitude, longitude
       USE phys_state_var_mod, ONLY: pctsrf
@@ -323,5 +324,5 @@
                ZQ_SNOW(klon,klev)           ! Snow cloud mass mixing ratio (kg/kg) ?
   REAL(KIND=8) ZAEROSOL_OLD(KLON,6,KLEV), &  ! 
-               ZAEROSOL(KLON,KLEV,naero_tot) !
+               ZAEROSOL(KLON,KLEV,naero_grp) !
 ! OUTPUTS
   REAL(KIND=8) ZFLUX_DIR(klon), &           ! Direct compt of surf flux into horizontal plane
@@ -1181,7 +1182,7 @@
 !
 ! AI ATTENTION Aerosols A REVOIR
-!      DO i = 1, kdlon
-!      DO k = 1, kflev
-!      DO kk= 1, naero_tot 
+      DO i = 1, kdlon
+      DO k = 1, kflev
+      DO kk= 1, naero_grp
 !      DO kk=1, NSW
 !
@@ -1194,8 +1195,9 @@
 !      PCGA_NAT(i,kflev+1-k,kk)=cg_aero_sw_rrtm(i,k,1,kk)
 !       ZAEROSOL(i,kflev+1-k,kk)=m_allaer(i,k,kk)
-!
-!      ENDDO
-!      ENDDO
-!      ENDDO
+       ZAEROSOL(i,kflev+1-k,kk)=m_allaer(i,k,kk)
+!
+      ENDDO
+      ENDDO
+      ENDDO
 !-end OB
 !
@@ -1345,8 +1347,9 @@
  
       CALL RADIATION_SCHEME &
-      & (ist, iend, klon, klev, naero_tot, NSW, &
-! ??? naero_tot
+      & (ist, iend, klon, klev, naero_grp, NSW, &
       & day_cur, current_time, & 
+!       Cste solaire/(d_Terre-Soleil)**2
       & SOLARIRAD, &
+!       Cos(angle zin), temp sol              
       & rmu0, tsol, &
 !       Albedo diffuse et directe
@@ -1354,11 +1357,7 @@
 !       Emessivite : PEMIS_WINDOW (???), &
       & ZEMIS, ZEMISW, &
-!       PCCN_LAND, PCCN_SEA, & ???
-      & pctsrf(:,is_ter), pctsrf(:,is_oce), &
 !       longitude(rad), sin(latitude), PMASQ_ ???
-      & ZGELAM, ZGEMU, zmasq, &
-!       pression et temp aux milieux
-      & pplay_i, t_i, &
-!       PTEMPERATURE_H ?, 
+      & ZGELAM, ZGEMU, &
+!       Temp et pres aux interf, vapeur eau, Satur spec humid 
       & paprs_i, ZTH_i, q_i, qsat_i, & 
 !       Gas
@@ -1366,5 +1365,6 @@
        & ZCCL4, POZON_i(:,:,1), ZO2, &
 !       nuages :
-      & cldfra_i, flwc_i, fiwc_i, ZQ_RAIN, ZQ_SNOW, &  
+      & cldfra_i, flwc_i, fiwc_i, ZQ_SNOW, &
+!       rayons effectifs des gouttelettes              
       & ref_liq_i, ref_ice_i, &
 !       aerosols
Index: LMDZ6/trunk/libf/phylmd/readaerosolstrato.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/readaerosolstrato.F90	(revision 4488)
+++ LMDZ6/trunk/libf/phylmd/readaerosolstrato.F90	(revision 4489)
@@ -31,8 +31,8 @@
     integer n_lev   ! number of levels in the input data
     integer n_month ! number of months in the input data
-    real, pointer:: latitude(:)
-    real, pointer:: longitude(:)
-    real, pointer:: time(:)
-    real, pointer:: lev(:)
+    real, allocatable:: latitude(:)
+    real, allocatable:: longitude(:)
+    real, allocatable:: time(:)
+    real, allocatable:: lev(:)
     integer i, k, band, wave
     integer, save :: mth_pre=1
Index: LMDZ6/trunk/libf/phylmd/readaerosolstrato_m.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/readaerosolstrato_m.F90	(revision 4488)
+++ LMDZ6/trunk/libf/phylmd/readaerosolstrato_m.F90	(revision 4489)
@@ -32,6 +32,6 @@
 !  USE YOERAD, ONLY : NLW
   IMPLICIT NONE
-  REAL, POINTER:: latitude(:)
-  REAL, POINTER:: longitude(:)
+  REAL, allocatable:: latitude(:)
+  REAL, allocatable:: longitude(:)
   INTEGER :: nlat, nlon
   REAL    :: null_array(0)
@@ -75,6 +75,6 @@
 !  USE YOERAD, ONLY : NLW
   IMPLICIT NONE
-  REAL, POINTER:: latitude(:)
-  REAL, POINTER:: wav(:)
+  REAL, allocatable:: latitude(:)
+  REAL, allocatable:: wav(:)
   INTEGER :: nlat,n_wav
   REAL    :: null_array(0)
Index: LMDZ6/trunk/libf/phylmd/readchlorophyll.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/readchlorophyll.F90	(revision 4488)
+++ LMDZ6/trunk/libf/phylmd/readchlorophyll.F90	(revision 4489)
@@ -29,7 +29,7 @@
     INTEGER n_lev   ! number of levels in the input data
     INTEGER n_month ! number of months in the input data
-    REAL, POINTER :: latitude(:)
-    REAL, POINTER :: longitude(:)
-    REAL, POINTER :: time(:)
+    REAL, ALLOCATABLE :: latitude(:)
+    REAL, ALLOCATABLE :: longitude(:)
+    REAL, ALLOCATABLE :: time(:)
     INTEGER i, k
     INTEGER, SAVE :: mth_pre
Index: LMDZ6/trunk/libf/phylmd/regr_horiz_time_climoz_m.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/regr_horiz_time_climoz_m.F90	(revision 4488)
+++ LMDZ6/trunk/libf/phylmd/regr_horiz_time_climoz_m.F90	(revision 4489)
@@ -4,10 +4,10 @@
   USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, grid_type, unstructured
   USE nrtype,            ONLY: pi
-  USE netcdf,   ONLY: NF90_CLOBBER, NF90_FLOAT,     NF90_GET_VAR, NF90_OPEN,   &
+  USE netcdf,   ONLY: NF90_CLOBBER, NF90_FLOAT,     NF90_OPEN,   &
                       NF90_NOWRITE, NF90_NOERR,     NF90_GET_ATT, NF90_GLOBAL
   USE netcdf95, ONLY: NF95_DEF_DIM, NF95_INQ_DIMID, NF95_INQUIRE_DIMENSION,    &
-                      NF95_DEF_VAR, NF95_INQ_VARID, NF95_INQUIRE_VARIABLE,     &
-          NF95_OPEN,  NF95_CREATE,  NF95_GET_ATT,   NF95_GW_VAR,  HANDLE_ERR,  &
-          NF95_CLOSE, NF95_ENDDEF,  NF95_PUT_ATT,   NF95_PUT_VAR, NF95_COPY_ATT
+       NF95_DEF_VAR, NF95_INQ_VARID, NF95_INQUIRE_VARIABLE, &
+       NF95_OPEN,  NF95_CREATE,  NF95_GET_ATT,   NF95_GW_VAR,  nf95_get_var,  &
+       NF95_CLOSE, NF95_ENDDEF,  NF95_PUT_ATT,   NF95_PUT_VAR, NF95_COPY_ATT
   USE print_control_mod, ONLY: lunout
   USE dimphy
@@ -88,7 +88,7 @@
   INTEGER :: nlev_in                       ! Number of pressure levels
   INTEGER :: nmth_in                       ! Number of months
-  REAL, POINTER     :: lon_in(:)           ! Longitudes   (ascending order, rad)
-  REAL, POINTER     :: lat_in(:)           ! Latitudes    (ascending order, rad)
-  REAL, POINTER     :: lev_in(:)           ! Pressure levels (ascen. order, hPa)
+  REAL, ALLOCATABLE:: lon_in(:)           ! Longitudes   (ascending order, rad)
+  REAL, ALLOCATABLE:: lat_in(:)           ! Latitudes    (ascending order, rad)
+  REAL, ALLOCATABLE:: lev_in(:)           ! Pressure levels (ascen. order, hPa)
   REAL, ALLOCATABLE :: lon_in_edge(:)      ! Longitude intervals edges
                                            !              (ascending order,  / )
@@ -125,5 +125,5 @@
   INTEGER :: fID_in_m, fID_in, levID_ou, dimid, vID_in(read_climoz), ntim_ou
   INTEGER :: fID_in_p, fID_ou, timID_ou, varid, vID_ou(read_climoz), ndims, ncerr
-  INTEGER, POINTER :: dIDs(:)
+  INTEGER, ALLOCATABLE :: dIDs(:)
   CHARACTER(LEN=20) :: cal_ou     !--- Calendar; no time inter => same as input
   CHARACTER(LEN=80) :: press_unit !--- Pressure unit
@@ -333,20 +333,16 @@
       !--- Read full current file and one record each available contiguous file
       DO iv=1,read_climoz
-        msg=TRIM(sub)//" NF90_GET_VAR "//TRIM(vars_in(iv))
         CALL NF95_INQ_VARID(fID_in, vars_in(1), vID_in(iv))
-        IF(l3D) ncerr=NF90_GET_VAR(fID_in, vID_in(iv), o3_in3(1:nlon_in,:,:,1:12,iv))
-        IF(l2D) ncerr=NF90_GET_VAR(fID_in, vID_in(iv), o3_in2(          :,:,1:12,iv))
-        CALL handle_err(TRIM(msg), ncerr, fID_in)
+        IF(l3D) call NF95_GET_VAR(fID_in, vID_in(iv), o3_in3(1:nlon_in,:,:,1:12,iv))
+        IF(l2D) call NF95_GET_VAR(fID_in, vID_in(iv), o3_in2(          :,:,1:12,iv))
         IF(lprev) THEN; sta(ndims)=12  
           CALL NF95_INQ_VARID(fID_in_m, vars_in(1), vID_in(iv))
-          IF(l3D) ncerr=NF90_GET_VAR(fID_in_m,vID_in(iv),o3_in3(1:nlon_in,:,:, 0,iv),sta,cnt)
-          IF(l2d) ncerr=NF90_GET_VAR(fID_in_m,vID_in(iv),o3_in2(          :,:, 0,iv),sta,cnt)
-          CALL handle_err(TRIM(msg)//" previous", ncerr, fID_in_m)
+          IF(l3D) call NF95_GET_VAR(fID_in_m,vID_in(iv),o3_in3(1:nlon_in,:,:, 0,iv),sta,cnt)
+          IF(l2d) call NF95_GET_VAR(fID_in_m,vID_in(iv),o3_in2(          :,:, 0,iv),sta,cnt)
         END IF
         IF(lnext) THEN; sta(ndims)=1  
           CALL NF95_INQ_VARID(fID_in_p, vars_in(1), vID_in(iv))
-          IF(l3D) ncerr=NF90_GET_VAR(fID_in_p,vID_in(iv),o3_in3(1:nlon_in,:,:,13,iv),sta,cnt)
-          IF(l2D) ncerr=NF90_GET_VAR(fID_in_p,vID_in(iv),o3_in2(          :,:,13,iv),sta,cnt)
-          CALL handle_err(TRIM(msg)//" next", ncerr, fID_in_p)
+          IF(l3D) call NF95_GET_VAR(fID_in_p,vID_in(iv),o3_in3(1:nlon_in,:,:,13,iv),sta,cnt)
+          IF(l2D) call NF95_GET_VAR(fID_in_p,vID_in(iv),o3_in2(          :,:,13,iv),sta,cnt)
         END IF
       END DO
Index: LMDZ6/trunk/libf/phylmd/regr_lat_time_coefoz_m.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/regr_lat_time_coefoz_m.F90	(revision 4488)
+++ LMDZ6/trunk/libf/phylmd/regr_lat_time_coefoz_m.F90	(revision 4489)
@@ -43,7 +43,7 @@
     use regr_conserv_m, only: regr_conserv
     use regr_lint_m, only: regr_lint
-    use netcdf95, only: nf95_open, nf95_close, nf95_inq_varid, handle_err, &
+    use netcdf95, only: nf95_open, nf95_close, nf95_inq_varid, nf95_get_var, &
          nf95_put_var, nf95_gw_var
-    use netcdf, only: nf90_nowrite, nf90_get_var
+    use netcdf, only: nf90_nowrite
     use nrtype, only: pi
     use regular_lonlat_mod, only: boundslat_reg, south
@@ -55,5 +55,5 @@
     integer n_lat! number of latitudes in the input data
 
-    real, pointer:: latitude(:)
+    real, allocatable:: latitude(:)
     ! (of input data, converted to rad, sorted in strictly ascending order)
 
@@ -62,5 +62,5 @@
     ! ascending order)
 
-    real, pointer:: plev(:) ! pressure level of input data
+    real, allocatable:: plev(:) ! pressure level of input data
     logical desc_lat ! latitude in descending order in the input file
 
@@ -172,5 +172,5 @@
     forall (j = 2:n_lat) lat_in_edg(j) = (latitude(j - 1) + latitude(j)) / 2
     lat_in_edg(n_lat + 1) = pi / 2
-    deallocate(latitude) ! pointer
+    deallocate(latitude)
 
     call nf95_inq_varid(ncid_in, "plev", varid)
@@ -192,5 +192,5 @@
     call nf95_put_var(ncid_out, varid_plev, plev)
 
-    deallocate(plev) ! pointer
+    deallocate(plev)
 
     allocate(o3_par_in(n_lat, n_plev, 12))
@@ -201,7 +201,5 @@
        ! Process ozone parameter "name_in(i_v)"
 
-       ncerr = nf90_get_var(ncid_in, varid_in(i_v), o3_par_in)
-       call handle_err("nf90_get_var", ncerr, ncid_in)
-
+       call nf95_get_var(ncid_in, varid_in(i_v), o3_par_in)
        if (desc_lat) o3_par_in = o3_par_in(n_lat:1:-1, :, :)
 
Index: LMDZ6/trunk/libf/phylmd/regr_pr_int_m.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/regr_pr_int_m.F90	(revision 4488)
+++ LMDZ6/trunk/libf/phylmd/regr_pr_int_m.F90	(revision 4489)
@@ -25,6 +25,5 @@
 
     use dimphy, only: klon
-    use netcdf95, only: nf95_inq_varid, handle_err
-    use netcdf, only: nf90_get_var
+    use netcdf95, only: nf95_inq_varid, nf95_get_var
     use assert_m, only: assert
     use regr_lint_m, only: regr_lint
@@ -79,6 +78,5 @@
 
        ! Get data at the right day from the input file:
-       ncerr = nf90_get_var(ncid, varid, v1(1, :, 1:), start=(/1, 1, julien/))
-       call handle_err("regr_pr_int nf90_get_var " // name, ncerr, ncid)
+       call nf95_get_var(ncid, varid, v1(1, :, 1:), start=(/1, 1, julien/))
        ! Latitudes are in ascending order in the input file while
        ! "rlatu" is in descending order so we need to invert order:
Index: LMDZ6/trunk/libf/phylmd/regr_pr_o3_m.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/regr_pr_o3_m.F90	(revision 4488)
+++ LMDZ6/trunk/libf/phylmd/regr_pr_o3_m.F90	(revision 4489)
@@ -25,6 +25,6 @@
     ! hPa and strictly increasing.
 
-    use netcdf95, only: nf95_open, nf95_close, nf95_inq_varid, handle_err
-    use netcdf, only:  nf90_nowrite, nf90_get_var
+    use netcdf95, only: nf95_open, nf95_close, nf95_inq_varid, nf95_get_var
+    use netcdf, only:  nf90_nowrite
     use assert_m, only: assert
     use regr_conserv_m, only: regr_conserv
@@ -63,6 +63,5 @@
     call nf95_inq_varid(ncid, "r_Mob", varid)
     ! Get data at the right day from the input file:
-    ncerr = nf90_get_var(ncid, varid, r_mob, start=(/1, 1, day_ref/))
-    call handle_err("nf90_get_var r_Mob", ncerr)
+    call nf95_get_var(ncid, varid, r_mob, start=(/1, 1, day_ref/))
     ! Latitudes are in ascending order in the input file while
     ! "rlatu" is in descending order so we need to invert order:
Index: LMDZ6/trunk/libf/phylmd/regr_pr_time_av_m.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/regr_pr_time_av_m.F90	(revision 4488)
+++ LMDZ6/trunk/libf/phylmd/regr_pr_time_av_m.F90	(revision 4489)
@@ -113,7 +113,7 @@
 !-------------------------------------------------------------------------------
   USE dimphy,         ONLY: klon
-  USE netcdf95,       ONLY: NF95_INQ_VARID, NF95_INQUIRE_VARIABLE, handle_err, &
-                            NF95_INQ_DIMID, NF95_INQUIRE_DIMENSION
-  USE netcdf,         ONLY: NF90_INQ_VARID, NF90_GET_VAR, NF90_NOERR
+  USE netcdf95,       ONLY: NF95_INQ_VARID, NF95_INQUIRE_VARIABLE, &
+                            NF95_INQ_DIMID, NF95_INQUIRE_DIMENSION, nf95_get_var
+  USE netcdf,         ONLY: NF90_INQ_VARID, NF90_NOERR
   USE assert_m,       ONLY: assert
   USE assert_eq_m,    ONLY: assert_eq
@@ -482,7 +482,6 @@
   CALL NF95_INQ_VARID(fID, TRIM(var), vID)
   CALL NF95_INQUIRE_VARIABLE(fID, vID, ndims=n_dim)
-  IF(n_dim==2) ncerr=NF90_GET_VAR(fID,vID,v(1,:), start=[  1,irec])
-  IF(n_dim==3) ncerr=NF90_GET_VAR(fID,vID,v(:,:), start=[1,1,irec])
-  CALL handle_err(TRIM(sub)//" NF90_GET_VAR "//TRIM(var),ncerr,fID)
+  IF(n_dim==2) call NF95_GET_VAR(fID,vID,v(1,:), start=[  1,irec])
+  IF(n_dim==3) call NF95_GET_VAR(fID,vID,v(:,:), start=[1,1,irec])
 
   !--- Flip latitudes: ascending in input file, descending in "rlatu".
@@ -514,7 +513,6 @@
     CALL NF95_INQ_VARID(fID, TRIM(nam(i)), vID)
     CALL NF95_INQUIRE_VARIABLE(fID, vID, ndims=n_dim)
-    IF(n_dim==3) ncerr=NF90_GET_VAR(fID,vID,v(1,:,:,i), start=[  1,1,irec])
-    IF(n_dim==4) ncerr=NF90_GET_VAR(fID,vID,v(:,:,:,i), start=[1,1,1,irec])
-    CALL handle_err(TRIM(sub)//" NF90_GET_VAR "//TRIM(nam(i)),ncerr,fID)
+    IF(n_dim==3) call NF95_GET_VAR(fID,vID,v(1,:,:,i), start=[  1,1,irec])
+    IF(n_dim==4) call NF95_GET_VAR(fID,vID,v(:,:,:,i), start=[1,1,1,irec])
   END DO
 
Index: LMDZ6/trunk/libf/phylmd/rrtm/read_rsun_rrtm.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/rrtm/read_rsun_rrtm.F90	(revision 4488)
+++ LMDZ6/trunk/libf/phylmd/rrtm/read_rsun_rrtm.F90	(revision 4489)
@@ -27,5 +27,5 @@
 ! Local variables
   INTEGER :: ncid, dimid, varid, ncerr, nbday
-  REAL, POINTER :: wlen(:), time(:)
+  REAL, ALLOCATABLE :: wlen(:), time(:)
   REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: SSI_FRAC
 !$OMP THREADPRIVATE(SSI_FRAC)
Index: LMDZ6/trunk/libf/phylmd/rrtm/readaerosolstrato1_rrtm.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/rrtm/readaerosolstrato1_rrtm.F90	(revision 4488)
+++ LMDZ6/trunk/libf/phylmd/rrtm/readaerosolstrato1_rrtm.F90	(revision 4489)
@@ -32,8 +32,8 @@
     INTEGER n_lev   ! number of levels in the input data
     INTEGER n_month ! number of months in the input data
-    REAL, POINTER:: latitude(:)
-    REAL, POINTER:: longitude(:)
-    REAL, POINTER:: time(:)
-    REAL, POINTER:: lev(:)
+    REAL, ALLOCATABLE:: latitude(:)
+    REAL, ALLOCATABLE:: longitude(:)
+    REAL, ALLOCATABLE:: time(:)
+    REAL, ALLOCATABLE:: lev(:)
     INTEGER k, band, wave, i
     INTEGER, SAVE :: mth_pre=1
Index: LMDZ6/trunk/libf/phylmd/rrtm/readaerosolstrato2_rrtm.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/rrtm/readaerosolstrato2_rrtm.F90	(revision 4488)
+++ LMDZ6/trunk/libf/phylmd/rrtm/readaerosolstrato2_rrtm.F90	(revision 4489)
@@ -40,8 +40,8 @@
     INTEGER n_month ! number of months in the input data
     INTEGER n_wav   ! number of wavelengths in the input data
-    REAL, POINTER:: latitude(:)
-    REAL, POINTER:: time(:)
-    REAL, POINTER:: lev(:)
-    REAL, POINTER:: wav(:)
+    REAL, ALLOCATABLE:: latitude(:)
+    REAL, ALLOCATABLE:: time(:)
+    REAL, ALLOCATABLE:: lev(:)
+    REAL, ALLOCATABLE:: wav(:)
     INTEGER i,k,wave,band
     INTEGER, SAVE :: mth_pre=1
Index: LMDZ6/trunk/libf/phylmd/tracco2i_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/tracco2i_mod.F90	(revision 4488)
+++ LMDZ6/trunk/libf/phylmd/tracco2i_mod.F90	(revision 4489)
@@ -365,5 +365,5 @@
 
     INTEGER :: n_glo, n_month
-    REAL, POINTER:: vector(:), time(:)
+    REAL, allocatable:: vector(:), time(:)
     REAL,ALLOCATABLE       :: flx_co2ff_glo(:,:) !  fossil-fuel CO2 
     REAL,ALLOCATABLE       :: flx_co2bb_glo(:,:) !  biomass-burning CO2 
Index: LMDZ6/trunk/makelmdz
===================================================================
--- LMDZ6/trunk/makelmdz	(revision 4488)
+++ LMDZ6/trunk/makelmdz	(revision 4489)
@@ -476,4 +476,7 @@
 
 #===============================================================================
+INCLUDE="$INCLUDE ${NETCDF95_INCDIR}"
+LIB="$LIB ${NETCDF95_LIBDIR} -l${LIBPREFIX}netcdf95"
+
 if [[ $io == ioipsl ]]
 then
Index: LMDZ6/trunk/makelmdz_fcm
===================================================================
--- LMDZ6/trunk/makelmdz_fcm	(revision 4488)
+++ LMDZ6/trunk/makelmdz_fcm	(revision 4489)
@@ -501,4 +501,7 @@
 fi
 
+INCLUDE="$INCLUDE ${NETCDF95_INCDIR}"
+LIB="$LIB ${NETCDF95_LIBDIR} ${NETCDF95_LIB}"
+
 if [[ $io == ioipsl ]]
 then
@@ -790,10 +793,4 @@
 build_status=$?
 
-err=$?
-# Check error message from fcm build
-if [ $err != 0 ] ; then
-  exit 1
-fi
-
 rm -rf tmp_src
 rm -rf config
